Description

The MainThrottle Axis Group is not selectable inside the action group screen only by editing the savefile obtainable.

History

#1 - 06/05/2019 09:55 PM - MechBFP

- Tracker changed from Bug to Feedback

#2 - 06/06/2019 05:05 PM - TheidenHD

The MainThrottle Axis Group is not selectable inside the action group screen only by editing the savefile obtainable.
Edit:

If you want to youse it, open the .craft file find your part, in AXISGROUPS set axisGroup to MainThrottle and delate MainThrottle from
axisIncremental.

Example for the RoboticController

AXISGROUPS {

sequencePosition {

axisGroup = MainThrottle

axislncremental = Pitch, Yaw, Roll, TranslateX, TranslateY, TranslateZ, WheelSteer, WheelThrottle, Custom01, Custom02, Custom03, Custom04
axisInverted = None

overridelncremental0 = Pitch, Yaw, Roll, TranslateX, TranslateY, TranslateZ, MainThrottle, WheelSteer, WheelThrottle, Custom01, Custom02,
Custom03, Custom04

overridelncrementall = Pitch, Yaw, Roll, TranslateX, TranslateY, TranslateZ, MainThrottle, WheelSteer, WheelThrottle, Custom01, Custom02,
Custom03, Custom04

overridelncremental2 = Pitch, Yaw, Roll, TranslateX, TranslateY, TranslateZ, MainThrottle, WheelSteer, WheelThrottle, Custom01, Custom02,
Custom03, Custom04

overridelncremental3 = Pitch, Yaw, Roll, TranslateX, TranslateY, TranslateZ, MainThrottle, WheelSteer, WheelThrottle, Custom01, Custom02,
Custom03, Custom04
}

#3 - 06/13/2019 05:16 PM - nestor
- Status changed from New to Ready to Test

- Target version set to 1.7.2

#4 - 06/16/2019 04:38 AM - Anonymous
- Status changed from Ready to Test to Resolved

Controls on parts can be bound to the MainThrottle axis group in version 1.7.2

Howevercraft-files created before this fix will still have 'MainThrottle' in the lists axisincremental and overridelncrementalN,

so the throttle position will control the rate of incrementing the control on the part, which is rather strange and not useful.

These craft will need the second part of the craft-file editing posted above, or to have the relevant parts replaced with new ones in the in-game craft
editor.

#5 - 06/17/2019 06:48 PM - chris.fulton
- Status changed from Resolved to Closed
